<?php
session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysql_query("select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysql_num_rows($consulta)!=0){
	$row=mysql_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 
if (!$_POST) {
	menu();
	$entra=0;
	echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='images/b_regresa.png' alt='Regresar'>:<a href='archivo_trabajador.php'>Regresar</a>";
	echo "<hr><h2>Listados de Reportes del Personal</h2>";	
	echo "
		<form name='entrada' action='".$_SERVER['PHP_SELF']."' target='_blank' method='POST' enctype='multipart/form-data'>
		<input type='hidden' name='usuario' value = '".$_SESSION['nombre_validar']."'>
		<table align='center'>";
		echo "	<tr><td align='right'><font color=red><b>Tipo Reporte:</font></b></td>
				<td align='left'>
					<select style='width:300px;' name='treporte'>
						<option value='1'>Reporte de Fechas de Contratados
						<option value='2'>Reporte de Fecha de Vencimientos de Documentos
					</select>
				</td>
				</tr>";		
		echo "<tr><td colspan='4' align='center'>";
		echo "&nbsp;<p><input name='ver' type='submit' style='margin-left:5px; ' value='Visualizar Reporte para Imprimir/Guardar'>";
		echo "</td></tr>";
		echo "</table></form>";
} else {
///////////////////////////////////////////////// cuando esta recibiendo datos  ////////////////////////////////////////////////////////////////	

		if ($_POST['treporte']==1) {
			$_POST['titulo']='Reporte de Fechas de Contratados';
			$query = "select * from personal where id='".$_SESSION['id_validar']."' and status='C' order by fechac";
		}		
		if ($_POST['treporte']==2) {
			$_POST['titulo']='Reporte de Fecha de Vencimientos de Documentos';
			$query = "select * from personal where id='".$_SESSION['id_validar']."' and (status='A' or status='C') and (fechalic<'".fecha()."' or fechacar<'".fecha()."' or fechasal<'".fecha()."' or fechaman<'".fecha()."') order by codigo";			
		}
		
		$consulta=mysql_query("select * from periodo where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' order by periodo DESC limit 1");
		$nomina='';$periodo='';$desnomina='';$desperiodo='';
		if (mysql_num_rows($consulta)!=0){
			$row=mysql_fetch_array($consulta);
			$nomina=$row['nomina'];
			$desnomina=substr($_POST['nomina'],6,50);
			$periodo=$row['periodo'];
			$desperiodo=$row['desde'].' al '.$row['desde'];
		} 
		$consulta=mysql_query("select * from empresa where id='".$_SESSION['id_validar']."' ");
		if (mysql_num_rows($consulta)!=0){
				$row=mysql_fetch_array($consulta);
				$_POST['pie']=$row['pie'];
				$_POST['encabeza']=$row['encabeza'];
				$_POST['empresal']=$row['nombre'];
				$_POST['empresa']=substr($_POST['nomina'],6,100);
		}   
		$_POST['periodo']=$periodo.' - '.$desperiodo;

		require('fpdf.php');
		class PDF extends FPDF {
		function Header()
		{
			$this->Image($_SESSION['logo_validar'],10,10,30,30);
			$this->SetFont('arial','B',10);
			$this->Ln(2);
			$this->Cell(0,5,$_SESSION['empresa_validar'],0,1,'R'); 
			$this->Cell(0,5,$_POST['encabeza'],0,1,'R');
			
			$this->SetFont('arial','',8);
			$this->Cell(0,5,'Fecha: '.hoy(),0,1,'R');
			$this->Cell(0,5,'Hora: '.hora(),0,1,'R');
			$this->Ln(14);
			$this->SetFont('arial','B',12); 
			$this->Cell(0,0,$_POST['titulo'],0,1,'C');$this->Ln(14);
			
			$this->SetFillColor(70,77,119);
			$this->SetTextColor(255);
			$this->SetDrawColor(255,255,255);
			$this->SetLineWidth(.5);
			$this->SetFont('','');
			$this->SetFont('arial','B',8);
			
			if ($_POST['treporte']==1) {
				$header=array('#','C.I','Nombres y Apellidos','Fecha Ingreso','Fecha Vcto Contrato');
				$w=array(10,20,80,40,40);
			} else {
				$header=array('#','C.I','Nombres y Apellidos','Fec/Licencia','Fec/Carta','Fec/Certificado','Fec/Manejo');
				$w=array(10,20,60,25,25,25,25);
			}	
			for($i=0;$i<count($header);$i++)
				$this->Cell($w[$i],4,$header[$i],1,0,'C',1);
			$this->Ln();
			$this->SetFillColor(224,235,255);
			$this->SetTextColor(0);
			$this->SetFont('');
		}
		function Footer()
		{
			$this->SetY(-20);
			$this->Cell(0,0,'',1,1,'C');
			$this->SetFont('Times','I',8);
			$this->ln(2);
			$this->Cell(0,0,$_POST['pie'],0,1,'C');
			$this->Cell(0,10,'Usuario: '.$_POST['usuario'].' - Página '.$this->PageNo().'/{nb} - Derechos: '.$_POST['derecho'],0,0,'C');
		}
	}
		
	//Cuerpo ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	
	$pdf=new PDF($orientacion='P',$unit='mm',$format='letter');
	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFont('Arial','',8);
	$pdf->SetFillColor(224,235,255);
	$pdf->SetTextColor(0);
	$consulta=mysql_query($query) or die ($query);
	$linea=0;
	$color=0;
	$tsalsur=0;
	while($row=mysql_fetch_array($consulta)) {
			$linea++;
			$tnombre=trim($row['nombres']).' '.trim($row['nombres1']).',  '.trim($row['apellidos']).' '.trim($row['apellidos1']);
			
			if ($_POST['treporte']==1) {
				$header=array('#','C.I','Nombres y Apellidos','Fecha Ingreso','Fecha Vcto Contrato');
				$w=array(10,20,80,40,40);
				$pdf->cell(10,5,$linea,0,0,'C',$color);
				$pdf->cell(20,5,$row['codigo'],0,0,'C',$color);
				$pdf->cell(80,5,$tnombre,0,0,'L',$color);
				$pdf->cell(40,5,mostrar_fecha($row['fechai']),0,0,'C',$color);
				$pdf->cell(40,5,mostrar_fecha($row['fechac']),0,1,'C',$color);
			} else {
				$header=array('#','C.I','Nombres y Apellidos','Fec/Licencia','Fec/Carta','Fec/Certificado','Fec/Manejo');
				$w=array(10,20,60,25,25,25,25);
				$pdf->cell(10,5,$linea,0,0,'C',$color);
				$pdf->cell(20,5,$row['codigo'],0,0,'C',$color);
				$pdf->cell(60,5,$tnombre,0,0,'L',$color);
				$pdf->cell(25,5,mostrar_fecha($row['fechalic']),0,0,'C',$color);
				$pdf->cell(25,5,mostrar_fecha($row['fechacar']),0,0,'C',$color);
				$pdf->cell(25,5,mostrar_fecha($row['fechasal']),0,0,'C',$color);
				$pdf->cell(25,5,mostrar_fecha($row['fechaman']),0,1,'C',$color);
			}	
			$color=!$color;
	}
	$pdf->Cell(190,0,'',1,1,'C'); $pdf->ln(1); 
	$pdf->Cell(190,0,'',1,1,'C'); 
	$pdf->Output();
}
?>